Bug 374511 - Unable to play anything via alsa-lib under user priviledges
Unable to play anything via alsa-lib under user priviledges
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 06:54 EST by Jindrich Novy
Modified: 2013-07-02 19:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 17:35:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jindrich Novy 2007-11-10 06:54:31 EST
Description of problem:
When I try to play sound in F8 under ordinary user priviledges I see this:

[AO_ALSA] alsa-lib: confmisc.c:768:(parse_card) cannot find card '0'
[AO_ALSA] alsa-lib: conf.c:3510:(_snd_config_evaluate) function
snd_func_card_driver returned error: No such device
[AO_ALSA] alsa-lib: confmisc.c:392:(snd_func_concat) error evaluating strings
[AO_ALSA] alsa-lib: conf.c:3510:(_snd_config_evaluate) function snd_func_concat
returned error: No such device
[AO_ALSA] alsa-lib: confmisc.c:1251:(snd_func_refer) error evaluating name
[AO_ALSA] alsa-lib: conf.c:3510:(_snd_config_evaluate) function snd_func_refer
returned error: No such device
[AO_ALSA] alsa-lib: conf.c:3982:(snd_config_expand) Evaluate error: No such device
[AO_ALSA] alsa-lib: pcm.c:2145:(snd_pcm_open_noupdate) Unknown PCM default
[AO_ALSA] Playback open error: No such device
audio_out: alsa9 and alsa1x modules were removed, use -ao alsa instead.


Version-Release number of selected component (if applicable):
alsa-lib-1.0.15-1.fc8.x86_64

How reproducible:
always

Steps to Reproduce:
1. mplayer <any ogg/mp3>
  
Actual results:
audio_out: alsa9 and alsa1x modules were removed, use -ao alsa instead.

Expected results:
AO: [alsa] 48000Hz 2ch s16le (2 bytes per sample)
Starting playback...

Additional info:
Works perfecly under root.

Not a pure F8 installation, but upgraded F7, so that the problem I see may
reveal some configuration issue.
Comment 1 Ra P. 2007-11-21 07:31:41 EST
Hi,

I had the same problem when upgrading from FC6

The solution I found is to change to ownership of alsa's devices /dev/snd/* to
me (this is how it use to be before the upgrade)

Patch:
--- /etc/udev/rules.d/40-alsa.rules.rpmorig     2007-11-21 12:22:00.000000000 +0200

+++ /etc/udev/rules.d/40-alsa.rules     2007-11-21 12:23:00.000000000 +0200

@@ -1,11 +1,11 @@

 # do not edit this file, it will be overwritten on update

 

-KERNEL=="controlC[0-9]*",      NAME="snd/%k"

-KERNEL=="hwC[D0-9]*",          NAME="snd/%k"

-KERNEL=="pcmC[D0-9cp]*",       NAME="snd/%k"

-KERNEL=="midiC[D0-9]*",                NAME="snd/%k"

-KERNEL=="timer",               NAME="snd/%k"

-KERNEL=="seq",                 NAME="snd/%k"

+KERNEL=="controlC[0-9]*",      NAME="snd/%k",  OWNER="MY-USERNAME"

+KERNEL=="hwC[D0-9]*",          NAME="snd/%k",  OWNER="MY-USERNAME"

+KERNEL=="pcmC[D0-9cp]*",       NAME="snd/%k",  OWNER="MY-USERNAME"

+KERNEL=="midiC[D0-9]*",                NAME="snd/%k",  OWNER="MY-USERNAME"

+KERNEL=="timer",               NAME="snd/%k",  OWNER="MY-USERNAME"

+KERNEL=="seq",                 NAME="snd/%k",  OWNER="MY-USERNAME"

 KERNEL=="mixer0",              SYMLINK+="mixer"

 KERNEL=="dsp0",                        SYMLINK+="dsp"

 KERNEL=="audio0",              SYMLINK+="audio"
Comment 2 Jindrich Novy 2007-11-22 07:07:51 EST
I actually worked that around by removing pulseaudio, staring ConsoleKit.
Initially I was pretty confused about the sound devices permissions since
owner/group is root/root so no ordinary used has valid permission to use them,
but as soon as ConsoleKit is started it handles the sound device permissions via
ACLs so that it worked after starting ConsoleKit and on.
Comment 3 Martin Stransky 2007-11-26 17:35:19 EST
ConsoleKit is the right way ;)

Note You need to log in before you can comment on or make changes to this bug.